Topic: PunBB 1.4.4

PunBB 1.4.4 has been released!

Change log:
* Fixed validation of the LinkedIn field in profile.
* Removed deprecated function calls.
* Fixed validation for unclosed tag in BBCode parser.
* Other minor bug fixes.

Download
punbb-1.4.4.zip

Changed files only
punbb-1.4.3_to_1.4.4-changed_files.zip

Re: PunBB 1.4.4

What a good news , Thank you smile

Get Persian PunBB @ www.getpunbb.ir

3 (edited by abdulhalim 2015-10-14 14:33)

Re: PunBB 1.4.4

There is a little bug in 1.4.4 , maybe
.
I install new version , but the new version alarm is still showing
.
Administrator Alerts
.
PunBB updates: A newer version of PunBB, version 1.4.4, is available for download

Get Persian PunBB @ www.getpunbb.ir

Re: PunBB 1.4.4

Does anything else need to do after upgrade from v1.4.3 to v1.4.4 with the changed files?

Re: PunBB 1.4.4

I am happy!   smile

More Extensions for PunBB 1.4.4

Your thanks with WebMoney: Z323386029617,  E620785229340,  R219660457009

Re: PunBB 1.4.4

abdulhalim wrote:

There is a little bug in 1.4.4 , maybe
.
I install new version , but the new version alarm is still showing
.
Administrator Alerts
.
PunBB updates: A newer version of PunBB, version 1.4.4, is available for download

You need to delete all files from the cache folder.

Re: PunBB 1.4.4

gaplee wrote:

Does anything else need to do after upgrade from v1.4.3 to v1.4.4 with the changed files?

Also you need to run /admin/db_update.php .

Re: PunBB 1.4.4

Parse error: syntax error, unexpected T_STRING in /home/virtwww/w_forum-rusnard_9345bd47/http/include/parser.php(811) : runtime-created function on line 1 Warning: preg_replace_callback(): Requires argument 2, '', to be a valid callback in  

This is error appear after update

Re: PunBB 1.4.4

zeron88 wrote:

This is error appear after update

Disable extentions with BB-codes.

Parserus - BBCode parser
I speak only Russian  :P

Re: PunBB 1.4.4

Awesome to see PunBB back to making releases again. smile

11

Re: PunBB 1.4.4

v.sorokin wrote:
gaplee wrote:

Does anything else need to do after upgrade from v1.4.3 to v1.4.4 with the changed files?

Also you need to run /admin/db_update.php .

Thank you, v.sorokin. Updated successfully.

12

Re: PunBB 1.4.4

And I also have the same problem, I deleted cache files and I ran

db_update.php

but problem still exists.
I have a new alert that tell me update punbb to 1.4.4 when I have PunBB 1.4.4!

Persian Board, The first comprehensive open-source board scripts support forums in Persian
Mail Me.

Re: PunBB 1.4.4

Yes , this Alarm persists , I don't know why but this is not big deal

Get Persian PunBB @ www.getpunbb.ir

Re: PunBB 1.4.4

Works fine. Thanks for the awesome update.

**********
www.ekushay.com
bangla entertainment forum

15

Re: PunBB 1.4.4

I can't veiw all forum topics. This is error in my log files:

 [error] "PHP message: PHP Warning:  preg_replace_callback(): Modifier /e cannot be used with replacement callback in ./forum/include/parser.php on line 811"

16

Re: PunBB 1.4.4

khuman wrote:

I can't veiw all forum topics. This is error in my log files:

 [error] "PHP message: PHP Warning:  preg_replace_callback(): Modifier /e cannot be used with replacement callback in ./forum/include/parser.php on line 811"

http://punbb.informer.com/forums/post/155113/#p155113

Parserus - BBCode parser
I speak only Russian  :P

17

Re: PunBB 1.4.4

Visman wrote:
khuman wrote:

I can't veiw all forum topics. This is error in my log files:

 [error] "PHP message: PHP Warning:  preg_replace_callback(): Modifier /e cannot be used with replacement callback in ./forum/include/parser.php on line 811"

http://punbb.informer.com/forums/post/155113/#p155113

This does not solve the issuse

18

Re: PunBB 1.4.4

The modifier /е isn't present in version 1.4.4. It can be only in old expansions.

In parser.php

    $count = count($pattern);
    for ($i = 0; $i < $count; $i++) {
        $text = preg_replace_callback($pattern[$i], create_function('$matches', 'return "'.$replace[$i].'";'), $text);
    }

replace

echo "<pre>\n";
var_dump($pattern);
echo "</pre>\n";
exit();
    $count = count($pattern);
    for ($i = 0; $i < $count; $i++) {
        $text = preg_replace_callback($pattern[$i], create_function('$matches', 'return "'.$replace[$i].'";'), $text);
    }

Also show result.

Parserus - BBCode parser
I speak only Russian  :P

19

Re: PunBB 1.4.4

Visman wrote:

The modifier /е isn't present in version 1.4.4. It can be only in old expansions.

Also show result.

array(10) {
  [0]=>
  string(20) "#\[b\](.*?)\[/b\]#ms"
  [1]=>
  string(20) "#\[i\](.*?)\[/i\]#ms"
  [2]=>
  string(20) "#\[u\](.*?)\[/u\]#ms"
  [3]=>
  string(82) "#\[colou?r=([a-zA-Z]{3,20}|\#[0-9a-fA-F]{6}|\#[0-9a-fA-F]{3})](.*?)\[/colou?r\]#ms"
  [4]=>
  string(20) "#\[h\](.*?)\[/h\]#ms"
  [5]=>
  string(43) "#\[img\]((ht|f)tps?://)([^\s<"]*?)\[/img\]#"
  [6]=>
  string(53) "#\[img=([^\[]*?)\]((ht|f)tps?://)([^\s<"]*?)\[/img\]#"
  [7]=>
  string(30) "#\[email\]([^\[]*?)\[/email\]#"
  [8]=>
  string(36) "#\[email=([^\[]+?)\](.*?)\[/email\]#"
  [9]=>
  string(30) "`\[video\]([^\[]+)\[/video\]`e"
}

20 (edited by Visman 2015-10-21 11:30)

Re: PunBB 1.4.4

string(30) "`\[video\]([^\[]+)\[/video\]`e"

The extension containing the video bb-code is guilty.


upd
See http://punbb.ru/post44974.html#p44974

Parserus - BBCode parser
I speak only Russian  :P

21

Re: PunBB 1.4.4

Many thanks. Disable Fancy Video Tag. All work now.

Re: PunBB 1.4.4

I am experiencing same problem as khuman. Now I'm quite confused what to do, disabling the extension surely won't solve the problem. sad

23

Re: PunBB 1.4.4

See post http://punbb.ru/post44974.html#p44974 for Fancy Video Tag.

Parserus - BBCode parser
I speak only Russian  :P

Re: PunBB 1.4.4

hy punbb all member
how to solve this with php 5.6 ?
here my code

    $pattern[] = '#\[sup\](.*?)\[/sup\]#ms';
    $replace[] = '<sup id="one">$1</sup>';
sorry my BAD english T___T
Have a nice day >.<
(^____^)v

25

Re: PunBB 1.4.4

    $pattern[] = '#\[sup\](.*?)\[/sup\]#ms';
    $replace[] = '<sup id="one">$matches[1]</sup>';
Parserus - BBCode parser
I speak only Russian  :P